Skip to main content
`Ctrl`+`K`

# TSGetConvergedReason

Gets the reason the `TS` iteration was stopped.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetConvergedReason(TS ts, TSConvergedReason *reason)

Not Collective

## Input Parameter

- ts - the `TS` context

## Output Parameter

- reason - negative value indicates diverged, positive value converged, see `TSConvergedReason` or the manual pages for the individual convergence tests for complete lists

## Note

Can only be called after the call to `TSSolve()` is complete.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSolve()`, `TSConvergedReason`

## Level

beginner

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/extchemfield.c
src/ts/tutorials/ex34.c
src/ts/tutorials/ex35.cxx
src/ts/tutorials/ex18.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex1f.F90
src/ts/tutorials/ex11_sa.c
src/ts/tutorials/ex25.c
src/ts/tutorials/ex22.c
src/ts/tutorials/extchem.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages